package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.CbProjectFile;
import com.dsk.cscec.domain.vo.DraftDialogListVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目成本文件表(CbProjectFile)表数据库访问层
 *
 * @author sxk
 * @since 2024-02-05 14:01:03
 */
public interface CbProjectFileMapper extends BaseMapper<CbProjectFile> {
    /**
     * 获取草稿弹窗列表
     *
     * @return 草稿弹窗列表
     */
    List<DraftDialogListVo> getDraftDialogList(@Param("projectFileStatusWaitParse") Integer projectFileStatusWaitParse,@Param("deleteFlagExist")Integer deleteFlagExist);
}

